import 'package:flutter_agnes/src/http_client/interfaces/i_model.dart';
import 'package:flutter_agnes/src/http_client/types_basics/types_basics.dart';

class GenericModel<T extends IModel> {

  ObjectCreator<T> creator;
  GenericModel(this.creator);

  T getObject(dynamic json) {
    final t = creator();
    t.fromJson(json);
    return t;
  }
}